env_set_flag=1;

if [ ! -d "$C6X_GEN_INSTALL_PATH" ]; then
	if [ -d "/opt/TI/TI_CGT_C6000_7.2.4" ]; then
		export C6X_GEN_INSTALL_PATH=/opt/TI/TI_CGT_C6000_7.4.0
	else
		env_set_flag=0;
	fi
fi

if [ ! -d "$EDMA3_LLD_INSTALL_PATH" ]; then
	if [ -d "~/texas_instruments/edma3_lld_02_11_02_04" ]; then 
		export EDMA3_LLD_INSTALL_PATH=~/texas_instruments/edma3_lld_02_11_05_02
	else
		env_set_flag=0;
	fi
fi


if [ "$env_set_flag" == 1 ]; then
	echo "PDK environment is set successfully"
else
	echo "PDK environment is not set successfully"
        echo "Please make sure all of the following environment variables are set"
	echo "e.g., export C6X_GEN_INSTALL_PATH=~/texas_instruments/TI_CGT_C6000_7.4.0"
	echo "e.g., export EDMA3_LLD_INSTALL_PATH=~/texas_instruments/edma3_lld_02_11_05_02"

fi

